package com.cf.imes.module.executor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrderStatusEnum {

    EMPTY(0, "默认"),
    NEW_ORDER(1, "新单"),
    NO_SORT(2, "未排单"),
    IN_PRODUCTION(3, "生产中"),
    FINISH_PRODUCTION(4, "生产完成");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(OrderStatusEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
